% Многомерная оптимизация (курсовой вариант)
x0=[2;-2];
[x, f, e_flag, inform] = fminsearch('x(1)^2+x(2)^2-4*(x(1)-x(2))+8', x0)

% Коэффициенты параболы (курсовой вариант)
x=[0 2 4];
y=[4 0 4];
p=polyfit(x,y,2)

% Площадь интегрирования численным интегрированием (курсовой вариант)
syms x
y=x^2-4*x+4;
int(y,0,4)

% Многомерная оптимизация (тестовый вариант)
x0=[2;-2];
[x, f, e_flag, inform] = fminsearch('3*x(1)^2+x(2)^2-15', x0)

% Коэффициенты параболы (тестовый вариант)
x=[-2 1 4];
y=[5 -4 5];
p=polyfit(x,y,2)

% Площадь интегрирования численным интегрированием (тестовый вариант)
syms x
y=x^2-2*x-3;
int(y,0,4)